play.mvc

## Class Scope

- java.lang.Object
- - play.mvc.Scope

-     public class Scope
      extends java.lang.Object

  All application Scopes

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Scope.Flash` Flash scope
    `static class` | `Scope.Params` HTTP params
    `static class` | `Scope.RenderArgs` Render args (used in template rendering)
    `static class` | `Scope.RouteArgs` Routes args (used in reserve routing)
    `static class` | `Scope.Session` Session scope

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COOKIE_EXPIRE`
    `static java.lang.String` | `COOKIE_PREFIX`
    `static boolean` | `COOKIE_SECURE`
    `static boolean` | `SESSION_HTTPONLY`
    `static boolean` | `SESSION_SEND_ONLY_IF_CHANGED`
    `static SessionStore` | `sessionStore`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Scope()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COOKIE_PREFIX

          public static final java.lang.String COOKIE_PREFIX

    - #### COOKIE_SECURE

          public static final boolean COOKIE_SECURE

    - #### COOKIE_EXPIRE

          public static final java.lang.String COOKIE_EXPIRE

    - #### SESSION_HTTPONLY

          public static final boolean SESSION_HTTPONLY

    - #### SESSION_SEND_ONLY_IF_CHANGED

          public static final boolean SESSION_SEND_ONLY_IF_CHANGED

    - #### sessionStore

          public static SessionStore sessionStore

  - ### Constructor Detail

    - #### Scope

          public Scope()

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly